Subject: bug#49279: 26.1; mml-secure-secret-key-exists-p wrong assumption on subkeys with same fingerprint

From: Joerg Jaspert <[email-masked]>
Date: Wed, 30 Jun 2021 16:01:15 +0200

Am 2021-06-30 14:34, schrieb Lars Ingebrigtsen:
> Joerg Jaspert <[email-masked]> writes:
> 
>> Problem: the function mml-secure-secret-key-exists-p breaks. It says 
>> it
>> found multiple secret keys with the same fingerprint, and refuses to
>> work.
> 
> I vaguely seem to remember there being some work done in this area over
> the last year, but I'm not sure whether it was this problem exactly.
> Would it be possible for you to build Emacs 28 to see whether the
> problem still exists there?

I do think it does, the code is the same there. Line 678 and following 
in mml-sec.el.
I'm going to test with a recent build either this evening or on weekend, 
will send an update then.

Joerg